summaryrefslogtreecommitdiff
path: root/INSTALL
diff options
context:
space:
mode:
authorBrandon Casey <drafnel@gmail.com>2013-01-26 19:14:33 (GMT)
committerJunio C Hamano <gitster@pobox.com>2013-01-27 03:00:10 (GMT)
commita235e85cc8bc308a7dbf414f6594a9d309f13289 (patch)
tree2e76380eb4e9e34d9d97c8e0bc6f68db03874ed1 /INSTALL
parent598354c0ad4198daff279c34a96f42e4d91fb4e6 (diff)
downloadgit-a235e85cc8bc308a7dbf414f6594a9d309f13289.zip
git-a235e85cc8bc308a7dbf414f6594a9d309f13289.tar.gz
git-a235e85cc8bc308a7dbf414f6594a9d309f13289.tar.bz2
git-p4.py: support Python 2.4
Python 2.4 lacks the following features: subprocess.check_call struct.pack_into Take a cue from 460d1026 and provide an implementation of the CalledProcessError exception. Then replace the calls to subproccess.check_call with calls to subprocess.call that check the return status and raise a CalledProcessError exception if necessary. The struct.pack_into in t/9802 can be converted into a single struct.pack call which is available in Python 2.4. Signed-off-by: Brandon Casey <bcasey@nvidia.com> Acked-by: Pete Wyckoff <pw@padd.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'INSTALL')
-rw-r--r--INSTALL2
1 files changed, 1 insertions, 1 deletions
diff --git a/INSTALL b/INSTALL
index fc723b3..b96e16d 100644
--- a/INSTALL
+++ b/INSTALL
@@ -131,7 +131,7 @@ Issues of note:
use English. Under autoconf the configure script will do this
automatically if it can't find libintl on the system.
- - Python version 2.5 or later is needed to use the git-p4
+ - Python version 2.4 or later is needed to use the git-p4
interface to Perforce.
- Some platform specific issues are dealt with Makefile rules,